Skip to main content
`Ctrl`+`K`

# DMStagGetRefinementFactor

get refinement ratios in each direction

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetRefinementFactor(DM dm, PetscInt *refine_x, PetscInt *refine_y, PetscInt *refine_z)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- refine_x - ratio of fine grid to coarse in x-direction (2 by default)

- refine_y - ratio of fine grid to coarse in y-direction (2 by default)

- refine_z - ratio of fine grid to coarse in z-direction (2 by default)

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMRefine()`, `DMCoarsen()`, `DMStagSetRefinementFactor()`, `DMDASetRefinementFactor()`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages